## org.apache.catalina.filters
Class FailedRequestFilter

    java.lang.Object
      org.apache.catalina.filters.FailedRequestFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class FailedRequestFilter
extends java.lang.Object
implements javax.servlet.Filter

Filter that will reject requests if there was a failure during parameter parsing. This filter can be used to ensure that none parameter values submitted by client are lost.

Note that it has side effect that it triggers parameter parsing and thus consumes the body for POST requests. Parameter parsing does check content type of the request, so there should not be problems with addresses that use `request.getInputStream()` and `request.getReader()`, if requests parsed by them do not use standard value for content mime-type.

Constructor Summary
`FailedRequestFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailedRequestFilter

    public FailedRequestFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.